# Verify a PIN for a Full PAN Issuer
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/pin-management/verify-pin-for-full-pan-issuer/index.md

## Test case -- Success {#test-case--success}

This test case describes verifying a PIN by sending a PIN block in the ISO-0 format encrypted with the Zone PIN Key (ZPK).

Note: The test case does not describe the end-to-end payload encryption used for every API operation in the Sandbox environment. Refer to [Encryption](https://developer.mastercard.com/mastercard-processing-core/documentation/api-basics-section/encryption/index.md) for more information. For this test case, use the following information in the request:

<br />

|   Path parameter   | Available value |
|--------------------|-----------------|
| `card_contract_id` | 70001           |
|                    | 70002           |
|                    | 70003           |
|                    | 70004           |
|                    | 70005           |

Note: To generate an encrypted value of the `pinBlock` field, use the PAN/PIN and ZPK assigned to the `card_contract_id` value which you want to use in the request.

| card_contract _id |       PAN        | PIN  |                Zone PIN Key (ZPK)                |
|-------------------|------------------|------|--------------------------------------------------|
| 70001             | 5141576351968605 | 7580 | F94B8CD62A20B85AA9B8E06DB6B0BA6785EC029CB604E861 |
| 70002             | 5185410084016382 | 5336 | F94B8CD62A20B85AA9B8E06DB6B0BA6785EC029CB604E861 |
| 70003             | 5115795782050849 | 2360 | F94B8CD62A20B85AA9B8E06DB6B0BA6785EC029CB604E861 |
| 70004             | 5128839686355014 | 3011 | F94B8CD62A20B85AA9B8E06DB6B0BA6785EC029CB604E861 |
| 70005             | 5121876475234064 | 4041 | F94B8CD62A20B85AA9B8E06DB6B0BA6785EC029CB604E861 |

**Sample request**

`POST /cards/70001/pins/verifications`

```JSON
{
  "cardExpiryDate": "3004",
  "cardSequenceNumber": "2",
  "pinBlock": "EF52E5BCD3DAB693"
}
```

**Sample response**

`200`

```JSON
{
  "verificationResult": "PIN_CORRECT"
}
```

## Test case -- Success -- Incorrect PIN {#test-case--success--incorrect-pin}

This test case describes verifying a PIN by sending a PIN block in the ISO-0 format encrypted with the ZPK where the PIN is incorrect.

For this test case, use the following information in the request:

|   Field    | Available value  |
|------------|------------------|
| `pinBlock` | 00cf7e77f86f1f49 |

**Sample request**

`POST /cards/70001/pins/verifications`

```JSON
{
  "cardExpiryDate": "3004",
  "cardSequenceNumber": "2",
  "pinBlock": "00cf7e77f86f1f49"
}
```

**Sample response**

`200`

```JSON
{
  "verificationResult": "PIN_NOT_CORRECT"
}
```

## Test case -- Success -- Incorrect PIN block {#test-case--success--incorrect-pin-block}

This test case describes verifying a PIN by sending a PIN block in the ISO-0 format encrypted with the ZPK where the PIN block is incorrect.

For this test case, use the following information in the request:

|   Field    | Available value |
|------------|-----------------|
| `pinBlock` | 0000123456789A  |

**Sample request**

`POST /cards/70001/pins/verifications`

```JSON
{
  "cardExpiryDate": "3004",
  "cardSequenceNumber": "2",
  "pinBlock": "0000123456789A"
}
```

**Sample response**

`200`

```JSON
{
  "verificationResult": "VERIFICATION_ERROR"
}
```

## Test case -- Fail -- Incorrect Card expiry date {#test-case--fail--incorrect-card-expiry-date}

This test case describes an attempt to verify a PIN by sending a PIN block in the ISO-0 format encrypted with the ZPK with the invalid `cardExpiryDate` value in the request.

For this test case, use the following information in the request:

|      Field       | Available value |
|------------------|-----------------|
| `cardExpiryDate` | 2101            |

**Sample request**

`POST /cards/70001/pins/verifications`

```JSON
{
  "cardExpiryDate": "2101",
  "cardSequenceNumber": "2",
  "pinBlock": "EF52E5BCD3DAB693"
}
```

**Sample response**

`404`

```JSON
{
  "Errors": {
    "Error": [
      {
        "Source": "MASTERCARD PROCESSING",
        "ReasonCode": "INVALID_EXPIRY_DATE",
        "Description": "Expiry date 2101 does not match for the card contract with id 70001.",
        "Recoverable": false
      }
    ]
  }
}
```

